# Asterisk Project : Asterisk 13 Function_SIP_HEADER

Created by wikibot on Aug 08, 2014

# SIP_HEADER()

### Synopsis

Gets the specified SIP header from an incoming INVITE message.

### Description

Since there are several headers (such as Via) which can occur multiple times, SIP_HEADER takes an optional second argument to specify which header with that name to retrieve. Headers start at offset `1`.

Please observe that contents of the SDP (an attachment to the SIP request) can't be accessed with this function.

### Syntax

    SIP_HEADER(name,number)

##### Arguments

- `name`
- `number` - If not specified, defaults to `1`.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538